Межсайтовый скриптинг в OpenBSD bgplg

Дата публикации:
31.01.2008
Дата изменения:
01.02.2008
Всего просмотров:
1140
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenBSD 4.1
OpenBSD 4.2
Уязвимые версии: OpenBSD 4.1?, 4.2

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cmd" в cgi-bin сценарии bgplg. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.openbsd.org

Решение: Установите исправление из CVS репозитория производителя.

Журнал изменений:

01.02.2008
Изменена секция «Решение».

Ссылки: http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/bgplg/bgplg.c

или введите имя

CAPTCHA